## eole-ad-dc 2.9.0-49

=== debian/changelog ===
eole-ad-dc (2.9.0-49) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [5f59e96] Génération de la conf samba_backup pour sauvegarde manuelle
  * [5ecc4f7] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [f94480e] Laurent Gourvénec: Update package since “debian/eole/2.9.0-48”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 10 Sep 2025 15:28:41 +0200

eole-ad-dc (2.9.0-48) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [792bb48] Toujours générer la conf pour sauver l'ad (si ad local)
  * [f8cb89e] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [987f0a1] Laurent Gourvénec: Update package since “debian/eole/2.9.0-47”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 08 Sep 2025 17:21:28 +0200

eole-ad-dc (2.9.0-47) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [9c3f3db] remplacer "Execute" par "Exécute" REF #36138
  * [59438d0] Ne pas activer cups dans le conteneur addc sur AmonEcole
  * [24ee06a] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [c41a353] Joël Cuissinat: Update package since “debian/eole/2.9.0-46”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 22 Jul 2025 10:22:48 +0200

eole-ad-dc (2.9.0-46) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [8b665db] bc n’est pas installé défaut.

  [ EOLE Build Daemon ]
  * [fce62eb] Benjamin Bohard: Update package since “debian/eole/2.9.0-45”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 25 Nov 2024 09:58:01 +0100

eole-ad-dc (2.9.0-45) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [c938802] bc n’accepte pas le signe + pour les entiers positifs.
  * [e5221d9] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [9f84379] Benjamin Bohard: Update package since “debian/eole/2.9.0-44”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 07 Nov 2024 14:15:28 +0100

eole-ad-dc (2.9.0-44) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [9a18a6b] Tester la valeur de décalage avec bc pour éviter les conversions.
  * [841f8f0] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [be7fcb5] Benjamin Bohard: Update package since “debian/eole/2.9.0-43”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 30 Oct 2024 15:38:09 +0100

eole-ad-dc (2.9.0-43) eole-2.9.0-proposed-updates; urgency=low

  [ Klaas TJEBBES ]
  * [64a8862] remplacer "éxecutée" par "exécutée" REF #36138

  [ Gilles Grandgérard ]
  * [8504939] typo "reach=1"
  * [b1688d1] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e9b1b4d] Gilles Grandgérard: Update package since “debian/eole/2.9.0-42”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Wed, 04 Sep 2024 12:32:40 +0200

eole-ad-dc (2.9.0-42) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [9c9d44d] Initialisation plus globale d’une variable.
  * [8b61e85] Merge branch '2.8.1/master' into 2.9.0/master
  * [3868a9d] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [dbf764f] Benjamin Bohard: Update package since “debian/eole/2.9.0-41”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 30 Jul 2024 14:05:46 +0200

eole-ad-dc (2.9.0-41) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [9cf27f4] Programmation de la suppression des fichiers des corbeilles samba.
  * [9667a95] Merge branch '2.8.1/master' into 2.9.0/master
  * [142231b] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [30295c7] Benjamin Bohard: Update package since “debian/eole/2.9.0-40”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 18 Jul 2024 08:56:03 +0200

eole-ad-dc (2.9.0-40) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [e9c2e49] Ajout dépendance gpo-tool pour eole-ad-dc-scripts

  [ EOLE Build Daemon ]
  * [2cf6abc] Joël Cuissinat: Update package since “debian/eole/2.9.0-39”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 06 Jun 2024 16:36:18 +0200

eole-ad-dc (2.9.0-39) eole-2.9.0-proposed-updates; urgency=low

  [ Klaas TJEBBES ]
  * [d5f9249] la fonction "cdr2mask" perturbe le syntax highlighting dans VIM
  * [11bbb77] modification du mot de passe de "gpo-addc" à chaque reconfigure REF #35892
  * [6ab675e] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [c6dfa73] Klaas TJEBBES: Update package since “debian/eole/2.9.0-38”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Thu, 18 Apr 2024 10:53:06 +0200

eole-ad-dc (2.9.0-38) eole-2.9.0-proposed-updates; urgency=low

  [ Klaas TJEBBES ]
  * [213d5c2] ajout de l'option "z" (gzip) aux deux commandes 'tar' pour être raccord avec l'extension du fichier et les messages d'information et d'erreur
  * [8ac33a2] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [286b7d8] Klaas TJEBBES: Update package since “debian/eole/2.9.0-37”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Mon, 18 Mar 2024 16:25:10 +0100

eole-ad-dc (2.9.0-37) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [d1e22be] Déport des fonctions attachées au conteneur dans samba4.sh
  * [ad47f98] Merge branch '2.9.0/master' into dist/eole/2.9.0/master
  * [34c552a] Ne pas utiliser continue pour sortir de fonctions.
  * [5f328e0] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [f563bc4] Benjamin Bohard: Update package since “debian/eole/2.9.0-36”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 21 Feb 2024 10:00:25 +0100

eole-ad-dc (2.9.0-36) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [0662236] Conditionner l’activation de l’agent dbcheck au rôle du serveur.
  * [e64fc12] Merge branch '2.8.1/master'
  * [f805a0e] Merge branch 'master' into dist/eole/2.9.0/master
  * [0fb5419] Règles de rotation des journaux vfs full_audit.


## eole-ad-dc 2.9.0-50

=== Makefile ===
################################
# Makefile pour eole-ad
################################

SOURCE=eole-ad-dc
VERSION=2.9
EOLE_VERSION=2.9
EOLE_RELEASE=2.9.0
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-ad-dc (2.9.0-50) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [f48c301] Restaure les Policies au bon endroit dans online_addc_restore
  * [67665fa] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [61672db] Laurent Gourvénec: Update package since “debian/eole/2.9.0-49”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 17 Dec 2025 10:16:20 +0100

=== debian/control ===
Source: eole-ad-dc
Section: admin
Priority: optional
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9), python3-all
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-ad-dc
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-ad-dc/repository

Package: eole-ad-dc
Architecture: all
Depends: eole-server,
         eole-fichier-quota,
         quota,
         libnss-winbind,
         eole-ad-dc-pso,
         eole-ntp-server,
         acl,
	 bc,
         ${misc:Depends}
Description: configuration du service Samba AD-DC
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-ad-dc-member-pkg
Section: metapackages
Architecture: all
Depends: acl,
         cifs-utils,
         bind9-dnsutils,
         krb5-user,
         ldb-tools,
         libnss-winbind,
         lmdb-utils,
         python3-samba,
         quota,
         quotatool,
         rsync,
         samba,
         samba-common,
         samba-dsdb-modules,
         samba-libs,
         samba-vfs-modules,
         smbclient,
         winbind,
         libldap-common,
         ${misc:Depends}
Description: dependency package for Samba AD-DC
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-ad-dc-pkg
Section: metapackages
Architecture: all
Depends: eole-ad-dc-member-pkg,
         bind9,
         ntp,
         ${misc:Depends}
Description: dependency package for Samba AD-DC
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-ad-dc-scripts
Architecture: all
Depends: python3-configobj,
         pwgen,
         psmisc,
         rsync,
         gpo-tool,
         ${misc:Depends}
Description: scripts et librairies pour Samba AD-DC
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-ad-dc-bareos
Architecture: all
Depends: eole-bareos ${misc:Depends}
Conflicts: eole-ad-dc
Description: configuration bareos pour Samba AD-DC
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-ad-dc-scribe
Architecture: all
Depends: eole-bareos ${misc:Depends}
Conflicts: eole-ad-dc
Description: Fichier commun entre eole-ad-dc et scribe
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-seth
Depends: eole-dhcp,
         eole-ad-dc,
         eole-antivirus,
         ${misc:Depends}
Architecture: all
Description: Module EOLE Seth
 Configuration du module EOLE Seth.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-seth-module
Section: metapackages
Depends: eole-seth,
         ${misc:Depends}
Provides: eole-module
Conflicts: eole-module
Architecture: all
Description: Module EOLE Seth (metapackage)
 Méta-paquet du module EOLE Seth.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-seth-all
Section: metapackages
Depends: eole-ad-dc-pkg,
         eole-ad-dc-scripts,
         eole-dhcp-pkg,
         eole-exim-pkg,
         eole-antivirus-pkg,
         eole-seth-module,
         ${misc:Depends}
Architecture: all
Description: Module EOLE Seth (metapackage)
 Tous les paquets pour un module EOLE Seth.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: gpo-tool
Section: admin
Architecture: all
Depends: python3,
         python-gpo-utils,
         ${misc:Depends}
Description: Python command for GPO edition

Package: python-gpo-utils
Section: admin
Architecture: all
Depends: python3,
         python3-samba,
         ${misc:Depends}
Description: Python commands for GPO edition

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

%:
	dh $@
override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start -peole-ad-dc --name=samba_dbcheck
	dh_installsystemd --no-enable --no-start -peole-ad-dc-scribe --name=samba_dbcheck
override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle
.PHONY: override_dh_installsystemd override_dh_builddeb

## eole-ad-dc 2.10.0-20

=== debian/changelog ===
eole-ad-dc (2.10.0-20) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [c28ec41] bc n’est pas installé par défaut.

  [ EOLE Build Daemon ]
  * [e225250] Benjamin Bohard: Update package since “debian/eole/2.10.0-19”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 25 Nov 2024 10:02:34 +0100

eole-ad-dc (2.10.0-19) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [c938802] bc n’accepte pas le signe + pour les entiers positifs.
  * [4b98fcb] Merge branch '2.9.0/master'
  * [a7eec80] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [9dfa55d] Benjamin Bohard: Update package since “debian/eole/2.10.0-18”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 07 Nov 2024 14:14:56 +0100

eole-ad-dc (2.10.0-18) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [71eacc4] Revert "désactivation erreur"
  * [34ce627] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [05741a1] Benjamin Bohard: Update package since “debian/eole/2.10.0-17”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 30 Oct 2024 15:43:48 +0100

eole-ad-dc (2.10.0-17) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [9a18a6b] Tester la valeur de décalage avec bc pour éviter les conversions.
  * [3461a8f] Merge branch '2.9.0/master'
  * [c6dee61] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [2f7804d] Benjamin Bohard: Update package since “debian/eole/2.10.0-16”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 30 Oct 2024 15:39:03 +0100

eole-ad-dc (2.10.0-16) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [6731f54] Journaliser les décalages pour étude du comportement.
  * [17dd6f6] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [c489d75] Benjamin Bohard: Update package since “debian/eole/2.10.0-15”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 29 Oct 2024 13:21:29 +0100

eole-ad-dc (2.10.0-15) eole-2.10-unstable; urgency=low

  [ Gilles Grandgérard ]
  * [5fc4891] désactivation erreur
  * [b8a95d3] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [f696522] Gilles Grandgérard: Update package since “debian/eole/2.10.0-14”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Wed, 09 Oct 2024 08:31:26 +0200

eole-ad-dc (2.10.0-14) eole-2.10-unstable; urgency=low

  [ Klaas TJEBBES ]
  * [64a8862] remplacer "éxecutée" par "exécutée" REF #36138

  [ Gilles Grandgérard ]
  * [8504939] typo "reach=1"
  * [327038b] Merge branch '2.9.0/master'
  * [e5dcb1e] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [37cc09c] Gilles Grandgérard: Update package since “debian/eole/2.10.0-13”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Wed, 04 Sep 2024 12:37:18 +0200

eole-ad-dc (2.10.0-13) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [a4ad308] ajout des templates bind pour Scribe (ref #36132)
  * [6956284] pouvoir templatiser bind sans variable ad_allow_transfer_network (ref #36132)
  * [e35dda7] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [84e545d] Emmanuel Garette: Update package since “debian/eole/2.10.0-12”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 13 Aug 2024 11:57:19 +0200

eole-ad-dc (2.10.0-12) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [9c9d44d] Initialisation plus globale d’une variable.
  * [8b61e85] Merge branch '2.8.1/master' into 2.9.0/master
  * [05d4ddc] Merge branch '2.9.0/master'
  * [fb45622] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [3a2ec3c] Benjamin Bohard: Update package since “debian/eole/2.10.0-11”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 30 Jul 2024 14:06:09 +0200

eole-ad-dc (2.10.0-11) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [9cf27f4] Programmation de la suppression des fichiers des corbeilles samba.
  * [9667a95] Merge branch '2.8.1/master' into 2.9.0/master
  * [1822b9a] Merge branch '2.9.0/master'
  * [2e6522f] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [b6c333a] Benjamin Bohard: Update package since “debian/eole/2.10.0-10”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 18 Jul 2024 09:01:28 +0200

eole-ad-dc (2.10.0-10) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [daed481] Ajout dépendance python3-setproctitle pour eole-ad-dc-scripts

  [ EOLE Build Daemon ]
  * [ff62da0] Joël Cuissinat: Update package since “debian/eole/2.10.0-9”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 26 Jun 2024 15:58:49 +0200

eole-ad-dc (2.10.0-9) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [bed6ad5] Ajout dépendance gpo-tool pour eole-ad-dc-scripts

  [ EOLE Build Daemon ]
  * [a694676] Joël Cuissinat: Update package since “debian/eole/2.10.0-8”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 06 Jun 2024 16:38:25 +0200

eole-ad-dc (2.10.0-8) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [5b8ec99] Revert "Les membres du groupe GpoAdmins ne semble pas hériter des droits."
  * [f684fa6] Exécuter la commande de restauration avec l’administrateur.
  * [e6d6b4f] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [aa58b27] Benjamin Bohard: Update package since “debian/eole/2.10.0-7”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 16 May 2024 14:47:37 +0200

eole-ad-dc (2.10.0-7) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [a54e088] validSambaPassword : refix SyntaxWarning
  * [2a2437d] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [3fa5434] Joël Cuissinat: Update package since “debian/eole/2.10.0-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 02 May 2024 09:42:01 +0200

eole-ad-dc (2.10.0-6) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [775c7f8] Upgrade packaging for EOLE 2.10
  * [ad9094e] Remove setup.py call from Makefile


## eole-ad-dc 2.10.0-25

=== debian/changelog ===
eole-ad-dc (2.10.0-25) eole-2.10.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [5f59e96] Génération de la conf samba_backup pour sauvegarde manuelle
  * [3ced160] Merge remote-tracking branch 'origin/2.9.0/master'
  * [71e35ee] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [ee33da4] Laurent Gourvénec: Update package since “debian/eole/2.10.0-24”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 10 Sep 2025 15:29:28 +0200

eole-ad-dc (2.10.0-24) eole-2.10.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [792bb48] Toujours générer la conf pour sauver l'ad (si ad local)
  * [a0ab41d] Merge remote-tracking branch 'origin/2.9.0/master'
  * [e37f747] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [ed85ae0] Laurent Gourvénec: Update package since “debian/eole/2.10.0-23”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 08 Sep 2025 17:22:03 +0200

eole-ad-dc (2.10.0-23) eole-2.10.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [22025c7] Fix import domain_backup dans online_addc_restore
  * [6bf3951] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [f0979df] Laurent Gourvénec: Update package since “debian/eole/2.10.0-22”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 27 Aug 2025 15:22:53 +0200

eole-ad-dc (2.10.0-22) eole-2.10.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [59438d0] Ne pas activer cups dans le conteneur addc sur AmonEcole
  * [1e209f4] Merge branch '2.9.0/master'
  * [302a726] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [2ecdaef] Joël Cuissinat: Update package since “debian/eole/2.10.0-21”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 22 Jul 2025 10:34:11 +0200

eole-ad-dc (2.10.0-21) eole-2.10.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [9c3f3db] remplacer "Execute" par "Exécute" REF #36138
  * [7fba869] Merge branch '2.9.0/master'

  [ Klaas TJEBBES ]
  * [846b65f] ajout d'une condition, si l'OU = "" alors associer à la racine REF #36934
  * [f3ac398] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [2d45f7f] Klaas TJEBBES: Update package since “debian/eole/2.10.0-20”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Mon, 23 Jun 2025 17:53:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,18 @@
 # export DH_OPTIONS=-v
 
 %:
-	dh $@
+	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_install:
+	DESTDIR=$(CURDIR)/debian/tmp make install
+	dh_auto_install -O--buildsystem=pybuild
+
 override_dh_installsystemd:
 	dh_installsystemd --no-enable --no-start -peole-ad-dc --name=samba_dbcheck
 	dh_installsystemd --no-enable --no-start -peole-ad-dc-scribe --name=samba_dbcheck
+
 override_dh_builddeb:
 	# Make package compatible with older version
 	dh_builddeb -- -Zgzip -Srle
-.PHONY: override_dh_installsystemd override_dh_builddeb
+
+.PHONY: override_dh_auto_install override_dh_installsystemd override_dh_builddeb

## eole-ad-dc 2.10.0-26

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-ad-dc
-VERSION=2.9
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+VERSION=2.10
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-ad-dc (2.10.0-26) eole-2.10.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [f48c301] Restaure les Policies au bon endroit dans online_addc_restore
  * [51da30a] Merge remote-tracking branch 'origin/2.9.0/master'
  * [fc1d5f3] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [ae8044c] Laurent Gourvénec: Update package since “debian/eole/2.10.0-25”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 17 Dec 2025 10:16:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Équipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9), python3-all
+Build-Depends: debhelper (>= 13),
+               python3-all,
+               dh-python
 Standards-Version: 3.9.3
-Homepage: http://eole.orion.education.fr/diff/
+X-Python3-Version: >= 3.9
+Homepage: https://pcll.ac-dijon.fr/eole/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-ad-dc
 Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-ad-dc/repository
 
@@ -17,8 +20,9 @@
          eole-ad-dc-pso,
          eole-ntp-server,
          acl,
-	 bc,
-         ${misc:Depends}
+         bc,
+         ${misc:Depends},
+         ${python3:Depends}
 Description: configuration du service Samba AD-DC
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
@@ -38,6 +42,7 @@
          quotatool,
          rsync,
          samba,
+         samba-ad-provision,
          samba-common,
          samba-dsdb-modules,
          samba-libs,
@@ -45,7 +50,8 @@
          smbclient,
          winbind,
          libldap-common,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${python3:Depends}
 Description: dependency package for Samba AD-DC
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
@@ -56,7 +62,8 @@
 Depends: eole-ad-dc-member-pkg,
          bind9,
          ntp,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${python3:Depends}
 Description: dependency package for Samba AD-DC
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
@@ -64,18 +71,22 @@
 Package: eole-ad-dc-scripts
 Architecture: all
 Depends: python3-configobj,
+         python3-setproctitle,
          pwgen,
          psmisc,
          rsync,
          gpo-tool,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${python3:Depends}
 Description: scripts et librairies pour Samba AD-DC
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
 
 Package: eole-ad-dc-bareos
 Architecture: all
-Depends: eole-bareos ${misc:Depends}
+Depends: eole-bareos,
+         ${misc:Depends},
+         ${python3:Depends}
 Conflicts: eole-ad-dc
 Description: configuration bareos pour Samba AD-DC
  Pour toute information complémentaire, veuillez vous rendre sur le
@@ -83,7 +94,9 @@
 
 Package: eole-ad-dc-scribe
 Architecture: all
-Depends: eole-bareos ${misc:Depends}
+Depends: eole-bareos,
+         ${misc:Depends},
+         ${python3:Depends}
 Conflicts: eole-ad-dc
 Description: Fichier commun entre eole-ad-dc et scribe
  Pour toute information complémentaire, veuillez vous rendre sur le
@@ -93,7 +106,8 @@
 Depends: eole-dhcp,
          eole-ad-dc,
          eole-antivirus,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${python3:Depends}
 Architecture: all
 Description: Module EOLE Seth
  Configuration du module EOLE Seth.
@@ -104,7 +118,8 @@
 Package: eole-seth-module
 Section: metapackages
 Depends: eole-seth,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${python3:Depends}
 Provides: eole-module
 Conflicts: eole-module
 Architecture: all
@@ -122,7 +137,8 @@
          eole-exim-pkg,
          eole-antivirus-pkg,
          eole-seth-module,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${python3:Depends}
 Architecture: all
 Description: Module EOLE Seth (metapackage)
  Tous les paquets pour un module EOLE Seth.
@@ -135,7 +151,8 @@
 Architecture: all
 Depends: python3,
          python-gpo-utils,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${python3:Depends}
 Description: Python command for GPO edition
 
 Package: python-gpo-utils
@@ -143,6 +160,7 @@
 Architecture: all
 Depends: python3,
          python3-samba,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${python3:Depends}
 Description: Python commands for GPO edition
